from vov.functions.conf import *

CWD = get_cwd()

TIME_ZONE = 'Europe/Rome'

DATE_FORMAT="d/m/Y"
TIME_FORMAT="G:i"
DATETIME_FORMAT="d/m/Y G:i"

# Language code for this installation. All choices can be found here:
# http://www.w3.org/TR/REC-html40/struct/dirlang.html#langcodes
# http://blogs.law.harvard.edu/tech/stories/storyReader$15
LANGUAGE_CODE = 'it-it'
#LANGUAGE_CODE = 'en-en'

# Absolute path to the directory that holds media.
# Example: "/home/media/media.lawrence.com/"
MEDIA_ROOT = CWD + '/static'


# URL that handles the media served from MEDIA_ROOT.
# Example: "http://media.lawrence.com"
if is_running_in_apache():
    LOCATION = get_from_local_settings('LOCATION', '/')
else:
    LOCATION = '/'

MEDIA_URL = LOCATION + 'static/'

# URL prefix for admin media -- CSS, JavaScript and images. Make sure to use a
# trailing slash.
# Examples: "http://foo.com/media/", "/media/".
ADMIN_MEDIA_PREFIX = LOCATION + 'media/'

# List of callables that know how to import templates from various sources.
TEMPLATE_LOADERS = (
    'django.template.loaders.filesystem.load_template_source',
    'django.template.loaders.app_directories.load_template_source',
#     'django.template.loaders.eggs.load_template_source',
)

MIDDLEWARE_CLASSES = (
    'django.middleware.common.CommonMiddleware',
    'django.middleware.csrf.CsrfViewMiddleware',
    'django.middleware.csrf.CsrfResponseMiddleware',
    'django.middleware.locale.LocaleMiddleware',
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    'django.middleware.doc.XViewMiddleware',
     'django.contrib.messages.middleware.MessageMiddleware',
#    'vov.middleware.add_location.AddLocation',
    'vov.middleware.thread_local.ThreadLocals',
    'django.middleware.transaction.TransactionMiddleware',    
#    'vov.middleware.sqldebug.DBDebugMiddleware',
)
# MIDDLEWARE_CLASSES = (
#     'django.middleware.common.CommonMiddleware',
#     'django.contrib.sessions.middleware.SessionMiddleware',
#     'django.middleware.csrf.CsrfViewMiddleware',
#     'django.contrib.auth.middleware.AuthenticationMiddleware',
#     'django.contrib.messages.middleware.MessageMiddleware',
# )

DOCUMENT_ROOT_PATH = CWD + '/docs'
DOCUMENT_URL = '/docs'

AUTH_PROFILE_MODULE = 'registration.UserProfile' 

TEMPLATE_CONTEXT_PROCESSORS = (
    'django.core.context_processors.auth',
    'django.core.context_processors.debug',
    'django.core.context_processors.i18n',
    'django.core.context_processors.request',
)
LOGIN_URL = LOCATION + 'accounts/login/'

#MAKO_TEMPLATE_DIRS = TEMPLATE_DIRS
#MAKO_MODULE_DIR = CWD + '/mako_modules'

JUNGLE_APPS = (
    'django.contrib.auth',
    'django.contrib.contenttypes',
    'django.contrib.sessions',
    'django.contrib.sites',
    'django.contrib.admin',
    'django.contrib.comments',
    'vov.apps.help',
    'vov.apps.registration',
    'vov.apps.docs',
    'vov.apps.sys',
    'vov.apps.file',
    'vov.apps.ref',
    'vov.apps.comments',
    )

vov_path = __import__('vov', {},{},[]).__path__[0] 

TEMPLATE_DIRS = (
    '%s/templates/' % CWD,
    '%s/static/'     % vov_path,
    '%s'            % vov_path,
    )

REDIRECT_FIELD_NAME='next_url'

# Add italian default date input format
#set_default_date_input_european()
USE_L10N = True
